@echo off
setlocal


REM We need a JVM
if not defined JAVA_HOME  (
  echo Error: JAVA_HOME is not defined.
  exit /b
)

if not defined JAVACMD (
  set JAVACMD="%JAVA_HOME%\bin\java.exe"
)

if not exist %JAVACMD% (
  echo Error: %JAVACMD%  not found
  exit /b
)

set IDP_HOME_WINDOWS=%~dp0..

for /f "tokens=* USEBACKQ" %%F in (`type %~dp0..\jetty-base\jetty.base.linux`) do (
SET IDP_HOME_UNIX=%%F
)

if not defined JETTY_HOME (
   set JETTY_HOME=%IDP_HOME_WINDOWS%\jetty-home
)

if not defined JETTY_BASE (
   set JETTY_BASE=%IDP_HOME_WINDOWS%\jetty-base
)

if not exist "%JETTY_HOME%\start.jar" (
  echo Error: JETTY_HOME does not point to a valid Jetty Installation
  exit /b
)

if not exist "%JETTY_BASE%\start.d" (
  echo Error: JETTY_BASE does not point to a Jetty Base
  exit /b
)

set JVM_ARGS=-Didp.home="%IDP_HOME_UNIX%" -Djdk.tls.ephemeralDHKeySize=2048 -Dorg.eclipse.jetty.util.log.class=org.eclipse.jetty.util.log.Slf4jLog -Djava.io.tmpdir="%JETTY_BASE%/tmp" -XX:+UseG1GC


SET JETTY_ARGS=jetty.base="%JETTY_BASE%" jetty.logging.dir="%IDP_HOME_WINDOWS%\logs"

%JAVACMD%  %JAVA_OPTS% -jar "%JETTY_HOME%/start.jar" %JVM_ARGS% %JETTY_ARGS% %*
